org.apache.jmeter.gui

## Interface TreeState

- All Known Implementing Classes:
    TreeState.TreeStateImpl

      public interface TreeState

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TreeState.TreeStateImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TreeState` | `NOTHING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TreeState` | `from(GuiPackage guiPackage)` Save tree expanded and selected state
    `void` | `restore(GuiPackage guiInstance)` Restore tree expanded and selected state

- - ### Field Detail

    - #### NOTHING

          static final TreeState NOTHING

  - ### Method Detail

    - #### restore

          void restore(GuiPackage guiInstance)

      Restore tree expanded and selected state
      Parameters:
        `guiInstance` - GuiPackage to be used

    - #### from

          static TreeState from(GuiPackage guiPackage)

      Save tree expanded and selected state
      Parameters:
        `guiPackage` - `GuiPackage` to be used
      Returns:
        `TreeState`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.